eiskaltdcpp-qt_2.2.10+186+g1c0173ec-2_amd64.deb


Advertisement

Description

eiskaltdcpp-qt - EiskaltDC++ GUI based on Qt

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe amd64
Package name eiskaltdcpp-qt
Package version 2.2.10+186+g1c0173ec
Package release 2
Package architecture amd64
Package type deb
Installed size 3.80 KB
Download size 997.15 KB
Official Mirror archive.ubuntu.com
This package installs only EiskaltDC++ with GUI based on Qt.
EiskaltDC++ is a cross-platform program that uses the Direct Connect and ADC
protocols. It is compatible with DC++, FlylinkDC++, LinuxDC++ and other DC
clients. EiskaltDC++ also interoperates with all common DC hub software.

Alternatives

Package Version Architecture Repository
eiskaltdcpp-qt_2.2.10+186+g1c0173ec-2_i386.deb 2.2.10+186+g1c0173ec i386 Ubuntu Universe
eiskaltdcpp-qt - - -

Requires

Name Value
eiskaltdcpp-common -
eiskaltdcpp-qt-data = 2.2.10+186+g1c0173ec-2
libaspell15 >= 0.60.7~20110707
libboost-system1.65.1 -
libc6 >= 2.14
libeiskaltdcpp2.4 -
libgcc1 >= 1:3.0
libqt5concurrent5 >= 5.6.0~rc
libqt5core5a >= 5.9.0~beta
libqt5dbus5 >= 5.0.2
libqt5gui5 >= 5.3.0
libqt5multimedia5 >= 5.6.0~beta
libqt5script5 >= 5.6.0~beta
libqt5sql5 >= 5.0.2
libqt5sql5-sqlite -
libqt5widgets5 >= 5.2.0~alpha1
libqt5xml5 >= 5.0.2
libstdc++6 >= 5.2

Provides

Name Value
eiskaltdcpp-qt-mini -

Conflicts

Name Value
eiskaltdcpp-qt-mini -

Replaces

Name Value
eiskaltdcpp-qt-mini -

Download

Type URL
Binary Package eiskaltdcpp-qt_2.2.10+186+g1c0173ec-2_amd64.deb
Source Package eiskaltdcpp

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install eiskaltdcpp-qt deb package:
    # sudo apt-get install eiskaltdcpp-qt

Files

Path
/usr/bin/eiskaltdcpp-qt
/usr/share/applications/eiskaltdcpp-qt.desktop
/usr/share/doc/eiskaltdcpp-qt/changelog.Debian.gz
/usr/share/doc/eiskaltdcpp-qt/copyright
/usr/share/man/man1/eiskaltdcpp-qt.1.gz

Changelog

2018-02-27 - Boris Pek <tehnick@debian.org>
eiskaltdcpp (2.2.10+186+g1c0173ec-2) unstable; urgency=medium
* Move to unstable: no changes required.
* Package libeiskaltdcpp2.4 now Breaks and Replaces package
libeiskaltdcpp2.2. (Closes: #891006)
2018-02-19 - Boris Pek <tehnick@debian.org>
eiskaltdcpp (2.2.10+186+g1c0173ec-1) experimental; urgency=medium
* New Git snapshot. (Closes: #864977)
* Build with Qt5. (Closes: #874872)
* Delete all patches: already in upstream.
* Update debian/control:
- delete build dependencies from libqt4-dev and qt4-dev-tools
- add build dependencies from libqt5xmlpatterns5-dev, qtbase5-dev,
qtmultimedia5-dev, qtscript5-dev, qttools5-dev and qttools5-dev-tools
- rename package libeiskaltdcpp2.2 to libeiskaltdcpp2.4 to reflect change
of SOVERSION
- binary package eiskaltdcpp-qt now depends from libqt5sql5-sqlite instead
of libqt4-sql-sqlite
- binary package eiskaltdcpp-qt now recommends libqt5script5 and
libqt5scripttools5 instead of libqtscript4-core, libqtscript4-gui,
libqtscript4-network and libqtscript4-xml
* Update debian/rules:
- build with Qt5
- disable QML support
- delete --parallel and --list-missing options from dh
- use REPLACE_VERSION configuration option to set of proper program version
* Update debian/source/lintian-overrides.
* Update debian/libeiskaltdcpp-dev.links.
* Update debian/libeiskaltdcpp2.* files.
* Update debian/copyright.
2018-02-16 - Boris Pek <tehnick@debian.org>
eiskaltdcpp (2.2.9-7) unstable; urgency=medium
* Bump Standards-Version to 4.1.3 (was 4.1.1): no changes required.
* Bump debhelper version to 11~ (was 9); update debian/compat.
* Add patch fix-build-with-miniupnpc-2.0.x. (Closes: #890507)
* Update years and URLs in debian/copyright.
2017-11-17 - Boris Pek <tehnick@debian.org>
eiskaltdcpp (2.2.9-6) unstable; urgency=medium
* Move to unstable: no changes required.
2017-11-17 - Boris Pek <tehnick@debian.org>
eiskaltdcpp (2.2.9-5) experimental; urgency=medium
* Add patch add-compatibility-with-OpenSSL-1.1.x. (Closes: #858436)
* Update debian/control:
- bump Standards-Version to 4.1.1 (was 3.9.6)
- delete build dependencies from chrpath and libgtk-3-dev
- change build dependency from libssl1.0-dev to libssl-dev
- update dependencies of eiskaltdcpp metapackage
- set "Multi-Arch: foreign" to binary packages eiskaltdcpp-common,
eiskaltdcpp-emoticons, eiskaltdcpp-scripts, eiskaltdcpp-sounds,
eiskaltdcpp-gtk-data and eiskaltdcpp-qt-data
- set "Multi-Arch: no" to binary packages libeiskaltdcpp2.2 and
libeiskaltdcpp-dev
- binary package eiskaltdcpp-emoticons now recommends php-cli instead of
suggestion of php5-cli
- move binary package libeiskaltdcpp2.2 to section libs
- delete all *-dbg packages for migration to automatic debug packages
- delete package eiskaltdcpp-gtk3 because build with GTK+ 3.x is not stable
enough and it will not be supported in the future versions of program;
package eiskaltdcpp-gtk will be used instead
- delete package eiskaltdcpp-qt-mini for simplifying build rules;
package eiskaltdcpp-qt will be used instead
- eiskaltdcpp-gtk-data and eiskaltdcpp-qt-data now suggests php-cli instead
of php5-cli
- update short descriptions of eiskaltdcpp-gtk anf eiskaltdcpp-qt packages
* Delete debian/eiskaltdcpp-{gtk3|qt-mini}.files files.
* Delete debian/eiskaltdcpp-{gtk3|qt-mini}.desktop files.
* Rename all debian/*eiskaltdcpp*.files to debian/*eiskaltdcpp*.install.
* Simplify debian/rules after removing of packages eiskaltdcpp-gtk3,
eiskaltdcpp-qt-mini and all *-dbg packages.
* Delete debian/eiskaltdcpp-qt-data.lintian-overrides.
* Delete debian/eiskaltdcpp-scripts.lintian-overrides.
2017-01-03 - Andrey Rahmatullin <wrar@debian.org>
eiskaltdcpp (2.2.9-4.1) unstable; urgency=medium
* Non-maintainer upload.
* Build with OpenSSL 1.0 (Closes: #828290).

See Also

Package Description
eiskaltdcpp-scripts_2.2.10+186+g1c0173ec-2_all.deb scripts examples for EiskaltDC++
eiskaltdcpp-sounds_2.2.10+186+g1c0173ec-2_all.deb sound files for EiskaltDC++
eiskaltdcpp_2.2.10+186+g1c0173ec-2_all.deb EiskaltDC++ metapackage
eja_9.5.20-1_amd64.deb micro web server for static and dynamic Lua generated content
ejabberd-contrib_0.2018.01.12~dfsg0-1_all.deb user-contributed modules for ejabberd (metapackage)
ejabberd-mod-cron_0.2018.01.12~dfsg0-1_amd64.deb execute scheduled commands
ejabberd-mod-log-chat_0.2018.01.12~dfsg0-1_amd64.deb logs chat messages to text or html
ejabberd-mod-logsession_0.2018.01.12~dfsg0-1_amd64.deb logs session connections to a text file
ejabberd-mod-logxml_0.2018.01.12~dfsg0-1_amd64.deb logs XMPP packets to an XML file
ejabberd-mod-message-log_0.2018.01.12~dfsg0-1_amd64.deb writes a line for each message to a log file
ejabberd-mod-muc-log-http_0.2018.01.12~dfsg0-1_amd64.deb serves MUC logs on the web
ejabberd-mod-post-log_0.2018.01.12~dfsg0-1_amd64.deb logs all messages to an HTTP API
ejabberd-mod-pottymouth_0.2018.01.12~dfsg0-1_amd64.deb filter for ejabberd messages using blacklists
ejabberd-mod-rest_0.2018.01.12~dfsg0-1_amd64.deb HTTP interface to POST arbitrary stanzas to ejabberd
ejabberd-mod-s2s-log_0.2018.01.12~dfsg0-1_amd64.deb logs XMPP s2s connections
Advertisement
Advertisement